<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:ns23="www.XmlTest.org/integer_withMaxExcl"
            targetNamespace="www.XmlTest.org/integer_withMaxExcl">
  <annotation>
    <documentation xml:lang="en">
      This documentum tests based on
      XML Schema Part 0: Primer Second Edition,
      2.3 Simple Types and
      Appendix B
      XML Schema Part 2: Datatypes Second Edition
      3 Built-in Datatypes
    </documentation>
  </annotation>

<simpleType name="IntegerWithNegMaxExcl">
  <restriction base="integer">
    <maxExclusive value="-200"/>
  </restriction>
</simpleType>

<simpleType name="IntegerWithZeroMaxExcl">
  <restriction base="integer">
    <maxExclusive value="0"/>
  </restriction>
</simpleType>

<simpleType name="IntegerWithPosMaxExcl">
  <restriction base="integer">
    <maxExclusive value="314"/>
  </restriction>
</simpleType>

</schema>
